bochs (2.7+dfsg-4build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:39:13 +1100

bochs (2.7+dfsg-4build4) noble; urgency=medium

  * No-change rebuild against libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:29 +0100

bochs (2.7+dfsg-4build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:04:51 +0000

bochs (2.7+dfsg-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:57:21 +0000

bochs (2.7+dfsg-4build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:16:56 +0000

bochs (2.7+dfsg-4) unstable; urgency=medium

  * Switch to wxwidgets3.2. Closes: #1019842.
  * Override lintian warnings caused by the plugin dynamic objects.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Sep 2022 19:08:21 +0200

bochs (2.7+dfsg-3) unstable; urgency=medium

  * Use dh_auto_build to build sb16ctrl, so that it can be cross-
    compiled correctly when targeting i386.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 11:36:38 +0200

bochs (2.7+dfsg-2) unstable; urgency=medium

  * Fix an #if/#ifdef mix-up causing the build to fail on big-endian
    platforms.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Aug 2021 09:50:39 +0200

bochs (2.7+dfsg-1) unstable; urgency=medium

  * New upstream release, merging dbg-smp.patch, iasl-filename.patch and
    reproducible-build.patch.
  * Remove long-obsolete “Replaces:” and version constraints in the
    dependencies.
  * Standards-Version 4.6.0, no change required.
  * Drop bochs.postinst, it is now useless. Closes: #976957.

 -- Stephen Kitt <skitt@debian.org>  Sun, 22 Aug 2021 20:43:05 +0200

bochs (2.6.11+dfsg-4) unstable; urgency=medium

  * Use cross-binutils tools when building rombios32.
    Closes: #976492.
  * Standards-Version 4.5.1, no change required.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Dec 2020 18:36:40 +0100

bochs (2.6.11+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * Switch to short dh rules and debhelper compatibility level 12.
  * Use i686 cross-compilers to build bochsbios instead of x86 -m32
    (this enables the arch-indep build on more architectures, and
    isolates us from multilib changes).

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 May 2020 14:17:14 +0200

bochs (2.6.11+dfsg-2) unstable; urgency=medium

  * Format the build date reproducibly (patch by Chris Lamb).
    Closes: #948582.
  * Ensure constants with the top bit set are unsigned. Closes: #957052.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 May 2020 18:20:31 +0200

bochs (2.6.11+dfsg-1) unstable; urgency=medium

  * New upstream release, merging a number of patches.
  * Document how to use SeaBIOS, and allow it as a replacement
    dependency.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Jan 2020 23:00:39 +0100

bochs (2.6.10+dfsg-2) unstable; urgency=medium

  * Fix the build on big-endian architectures.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2019 22:57:54 +0100

bochs (2.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release; update patches, in particular
    - remove the QEMU BIOS patches, which conflict with 2.6.10 and are no
      longer needed (QEMU now uses SEABIOS, not Bochs BIOS);
    - remove the USB patches, merged upstream.
  * This version supports WxWindows with Gtk 3, restore bochs-wx.
  * Install bxhub.
  * Enable memtype and the x86 debugger.
  * Track missing files.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2019 21:19:50 +0100

bochs (2.6.9+dfsg-5) unstable; urgency=medium

  * Fix cross-building again, thanks to Helmut Grohne for the patch!
    Closes: #945758.
  * Ensure we always rebuild the lexer and parser.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2019 23:04:38 +0100

bochs (2.6.9+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Stephen Kitt ]
  * Drop the wx frontend, it is buggy with Gtk 2 and doesn’t work with
    Gtk 3. Closes: #933458.
  * Stop recommending createdisk, it’s no longer available.
    Closes: #926796.
  * Ensure the sb16ctrl build takes flags into account.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Oct 2019 11:08:27 +0200

bochs (2.6.9+dfsg-3) unstable; urgency=medium

  * Ship the Voodoo and e1000 plugins; thanks to Christian Ehrhardt for
    the patch. Closes: #930770. LP: #1830094.

 -- Stephen Kitt <skitt@debian.org>  Thu, 20 Jun 2019 10:37:44 +0200

bochs (2.6.9+dfsg-2) unstable; urgency=medium

  * Discard .note.gnu.property section explicitly when building BIOS ROM
    images. Closes: #906339.
  * Link the ALSA and SDL sound plugins to their respective libraries
    only, reducing the package dependencies (in particular, the main bochs
    package no longer depends on SDL).
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 28 Aug 2018 09:19:23 +0200

bochs (2.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #775038. This release includes
    0006_qemu-bios-use-preprocessor-for-pci-link-routing.patch,
    0007_bios-add-26-pci-slots,-bringing-the-total-to-32.patch, most
    of build-use-system-libltdl.patch, and wc3.0-compat.patch, which are
    updated or dropped as appropriate.
  * Rewrite debian/copyright in machine-readable format, updated to 2.6.9,
    and use Files-Excluded to filter the upstream tarball.
  * Adopt the package. Closes: #659023.
  * Switch to priority “optional”.
  * wrap-and-sort the control files.
  * Enable new features: EVEX, Voodoo, e1000, SVM, USB EHCI and XHCI.
  * Add a number of spelling fixes flagged by Lintian.
  * Enable all hardening options.
  * Use “-a” instead of “-s” on debhelper commands.
  * Switch to debhelper compatibility level 9.
  * Mark the architecture-independent packages as “Multi-Arch: foreign”.
  * Build-depend on acpica-tools instead of iasl. Closes: #832304.
  * Enable SMP. Closes: #814483.
  * Fix various cross-building issues; thanks to Halmut Grohne for the
    patch! Closes: #903476.
  * Standards-Version 4.1.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Jul 2018 22:50:18 +0200

bochs (2.6-6) unstable; urgency=medium

  * QA upload.
  * Migrate to Salsa.
  * Update watch file (thanks to Florian Tobias Schandinat). Closes:
    #814487.
  * Handle change in iasl’s output. Closes: #902454. See #899318 for
    details.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jul 2018 13:52:19 +0200

bochs (2.6-5) unstable; urgency=medium

  * QA upload.
  * Apply patch from Chris Lamb to build under recent versions of Linux.
    Closes: #802188.

 -- Santiago Vila <sanvila@debian.org>  Mon, 19 Oct 2015 00:05:38 +0200

bochs (2.6-4) unstable; urgency=medium

  * QA upload.
  * Set the "BIOS build date" to be the latest upstream release date.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 20:23:00 +0200

bochs (2.6-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -n option to gzip call.
  * debian/control: Change section to otherosfs, following override file.
  * Add debian/patches/do-not-show-the-build-date.patch to make the build
    reproducible.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Sep 2015 21:00:50 +0200

bochs (2.6-2) unstable; urgency=low

  * QA upload.
  * Drop support for libsvga1, as it's no longer packaged.  (Closes: #731021)
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Fri, 30 May 2014 14:03:57 +1200

bochs (2.6-1) experimental; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes random wxWidgets GUI freezes.
    - Refresh patches.
    - debian/patches/bios-discard-eh_frame.patch: Remove, merged upstream.
    - debian/patches/build-fix-SHELL.patch: Likewise.
    - debian/patches/build-fix-libtool-calls.patch: Likewise.
    - debian/patches/build-link-only-needed-libs.patch: Likewise.
    - debian/patches/build-on-linux-3.x.patch: Likewise.
    - debian/patches/build-recursive-make.patch: Likewise.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Honour standard build flags, so that hardening gets properly enabled.
    Based on a patch by Simon Ruderich <simon@ruderich.org>.
    (Closes: #653511)

 -- Guillem Jover <guillem@debian.org>  Mon, 04 Feb 2013 21:07:00 +0100

bochs (2.5.1-1) experimental; urgency=low

  !! This release gets random app freezes when using the wxWidgets GUI. !!

  * Orphan package, set maintainer to Debian QA Group.
  * New upstream release.
    - Refresh patches.
  * Do not use obsolete --enable-acpi and --enable-vbe options.
  * Use --enable-ne2000 and --enable-pnic on all systems, as now a dummy
    backend is used automatically as a system fallback.
  * Do not manually specify a backend to --enable-sb16, configure selects
    the correct one automatically.
  * Add following configure options: --enable-avx, --enable-vmx=2,
    --enable-es1370 and --enable-clgd54xx.
  * Switch from gdb-stub to the internal GUI debugger, as the former is
    unmaintained upstream. It might need disabling prior to an upload to
    unstable though, as the debugging screen appearing on start is a bit
    annoying, if one does not want to debug anything. Or alternatively
    making the debugging screen not appear on start. (Closes: #499567)
  * Bump bochs versioned Depends on vgabios to >= 0.7a-1.
  * Fix man page warnings due to unescaped ' at the beginning of line,
    and table lines using more than 80 characters.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:33:35 +0100

bochs (2.4.6-5) unstable; urgency=low

  * Fix typo (targeted) in README.Debian, spotted by lintian.
  * Remove sb16ctrl.exe from upstream tarball in debian/tarball.sh.
  * Add missing backslash to escape $ on XPM_LIB variable:
    - debian/patches/link-only-needed-libs.patch
  * Enable support for RFB protocol as GUI frontend (works with VNC viewer).
  * Use dpkg-buildflags to set build flags (enables default hardening flags).
    Based on a patch by Moritz Muehlenhoff <jmm@debian.org>. (Closes: #653511)
  * Fix man page warnings due to unescaped ' at the beginning of line.
  * Reorganize patches:
    - Remove sequence numbers from non-imported patch filenames.
    - Rename non-imported patches to more descriptive names.
    - Split 00_base.patch into a local-config.patch and local-paths.patch.
  * Switch sb16ctrl-bochs to any-i386 instead of explicit arch list.
  * Clarify output on what's being done by debian/tarball.sh.
  * Build bochs-svga on all architectures where svgalib is now available;
    implies switching from i386 and amd64 to linux-any and kfreebsd-any.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2012 13:10:17 +0100

bochs (2.4.6-4) unstable; urgency=low

  * Do not install the ne2k plugin on systems were it's not supported.
  * Handler Linux 3.x kernels the same way as 2.6.x. (Closes: #647195)
  * Pack bochsrc.5 man page table to fix a man warning.
  * Remove now unneeded source lintian override on arch wildcards usage.
  * Do not unneedingly link the main bochs binary against gtk libraries,
    neither the wx plugin as it only needs the gdk include path.
  * Do not unneedingly link the x plugin against libSM and libICE.

 -- Guillem Jover <guillem@debian.org>  Mon, 31 Oct 2011 20:58:55 +0100

bochs (2.4.6-3) unstable; urgency=low

  * Detect which of jade or openjade is installed at configure time, and
    use the one found. (Closes: #633971)

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Jul 2011 07:59:50 +0200

bochs (2.4.6-2) unstable; urgency=low

  * Set SHELL variables in Makefile.in to @SHELL@ instead of hardcoding
    them to /bin/sh, which confuses libtool as it might get configured
    for bash. (Closes: #625183)
  * Discard .eh_frame sections from the PC BIOS linker scripts, as they
    cause a build problem due to an overlap with the .data section.
  * Use jade instead of docbook2html, and thus switch Build-Depends-Indep
    from docbook-utils to docbook-dsssl.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 05:29:04 +0200

bochs (2.4.6-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/11_docbook_section_name.patch: Remove, merged upstream.
    - debian/patches/12_use_so_plugins.patch: Likewise.
  * Install new hdimage and soundmod plugins.
  * Use linux-any instead of explicit list of architectures for libasound2-dev
    in Build-Depends.
  * Update tarball.sh to use the new svn repository instead of cvs.
  * Update debian/copyright with all copyright holders and years.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Suggest grub-rescue-pc instead of dummy transitional grub-disk package.
    (Closes: #607208)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 04:08:32 +0100

bochs (2.4.5-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: Remove.
  * Do not use obsolete --enable-apic, --enable-mmx, --enable-sse-extension,
    --enable-sse=4, --enable-xsave, --enable-sep, --enable-popcnt and
    --enable-movbe options.
  * Do not use incomplete --enable-3dnow option.
  * Improve tarball.sh to fix wrong permissions from upstream tarballs.
  * Improve cleanup to fix building twice in a row.
  * Use system ltdl.h. (Closes: #560884)
    - Remove all file dependencies on ltdl.h.
    - Run libtoolize and aclocal in configure target.
    - Add automake and libtool to Build-Depends.
    - Remove ltdl.c, ltdl.h, ltdlconf.h, ltmain.sh and aclocal.m4 on clean.
    - Remove references to ltdlconf.h.
    - Fix configure.in to use system AC_SYS_LARGEFILE instead of local one.
  * Fix binary-arch target to not require Build-Depends-Indep packages to
    be installed. (Closes: #562964)
    - Disable docbook support in configure so that it does not fail when
      we only want build-arch or binary-arch.
    - On build-indep build doc/docbook and pass DOCBOOK2HTML to it (because
      it's no longer set by configure).
    - On install-indep install doc/docbook, remove install target dependency,
      call dh_prep, and populate the debian/tmp directory.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Add a source lintian override for the architecture wildcard used in
    Build-Depends-Indep to allow cross-building the bios images.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Jun 2010 20:43:22 +0200

bochs (2.4.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/patches/14_fix_gdbstubs_FTBFS.patch: New file.
  * Do no use obsolete --enable-vme configure option.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded quilt references in debian/README.source.
  * Use system libltdl shared library. (Closes: #560884)
  * Switch Build-Depends from libwxgtk2.6-dev to libwxgtk2.8-dev.
    Thanks to Ryan Niebur <ryan@debian.org>. (Closes: #561188)
  * Add ${misc:Depends} to every package Depends field.

 -- Guillem Jover <guillem@debian.org>  Mon, 28 Dec 2009 20:16:50 +0100

bochs (2.4.1-2) unstable; urgency=low

  * Remove unused “libreadline5-dev | libreadline-dev” from Build-Depends.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Use .so extensions instead of .la in the plugin loader so that we can
    stop shipping .la files.
    - debian/patches/12_use_so_plugins.patch: New file.
  * Rename conf_args to conf_arch_args in debian/rules.
  * Move -e from the shebang to a 'set -e' in debian/launcher.
  * Update config.guess and config.sub before running configure and remove
    them on clean to avoid shipping them on the diff.
  * Build-Depend on autotools-dev to guarantee updated config.* files.

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Sep 2009 16:16:38 +0200

bochs (2.4.1-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch: Remove.
    - debian/patches/11_docbook_section_name.patch: Fix another underscored
      link.
  * Add support for building the bochsbios architecture independent package
    also on any-amd64 systems, and add gcc-multilib for such systems to
    Build-Depends-Indep.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jul 2009 08:19:37 +0200

bochs (2.3.7+20090416-1) unstable; urgency=low

  * New upstream snapshot.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/10_enable_iasl.patch: Likewise.
    - debian/patches/11_docbook_section_name.patch: New file.
    - debian/patches/11_ftbfs_3dnow.patch: Remove, fixed upstream.
  * Do no use obsolete --enable-icache configure option.
  * Fix a bashism in /etc/bochs-init/init.sh by explicitely specifing the
    variable REPLY for read. (Closes: #489543)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add QEMU patches for bochsbios. (Closes: #523305)
    - debian/patches/0006_qemu-bios-use-preprocessor-for-pci-link-routing.patch
    - debian/patches/0007_bios-add-26-pci-slots,-bringing-the-total-to-32.patch
    - debian/patches/0008_qemu-bios-provide-gpe-_l0x-methods.patch
    - debian/patches/0009_qemu-bios-pci-hotplug-support.patch
    - debian/patches/0011_read-additional-acpi-tables-from-a-vm.patch
    - debian/patches/0012-load-smbios-entries-and-files-from-qemu.patch
    - debian/patches/0013_fix-non-acpi-timer-interrupt-routing.patch
  * Remove comment from README.Debian about x86-64 support not being enabled.
  * Remove unused and obsolete plex86 patch.
    - debian/patches/plex86.disabled
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Add following configure options (to explicitly enable them):
    --enable-pcidev (only on Linux), --enable-acpi, --enable-usb-ohci,
    --enable-a20-pin, --enable-sse-extension, --enable-xsave, --enable-sep,
    --enable-popcnt, --enable-movbe.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 Apr 2009 02:42:15 +0200

bochs (2.3.7-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Refresh.
    - debian/patches/01_build.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
    - debian/patches/05_bios_delay_loop.patch: Likewise.
    - debian/patches/11_ftbfs_3dnow.patch: New file. Fix FTBFS.
    - debian/patches/99_upstream_bios_update.patch: Remove, in sync with
      upstream now.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Jun 2008 03:58:49 +0300

bochs (2.3.6-5) unstable; urgency=low

  * Update packaging Vcs fields to the new URL.
  * Add a debian/README.source file (and move information about how to
    create the stripped tarballs from README.Debian).
  * Now using Standards-Version 3.8.0.
  * Cleanup debian/copyright:
    - Change 'Copyright' to 'Copyright Holders'.
    - Use UTF-8 copyright symbol.
    - Remove packaging svn information.
  * Remove perl from Build-Depends-Indep, it's Build-Essential.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 09:52:32 +0300

bochs (2.3.6-4) unstable; urgency=low

  * Update bochsbios from uptream CVS:
    - Adds SMBIOS and DMI information. (Closes: #400902)
    - Adds support for LBA32 and LBA48. (Closes: #471395)
    - debian/patches/03_qemu_bios.patch: Remove hunk already in upstream.
    - debian/patches/99_upstream_bios_update.patch: New file.
  * Ship compressed man pages, just by rebuilding with a fixed debhelper.
    (Closes: #472932)
  * Provide a compatibility symlink for VGABIOS-lgpl-latest. (Closes: #462024)

 -- Guillem Jover <guillem@debian.org>  Thu, 29 May 2008 05:12:50 +0300

bochs (2.3.6-3) unstable; urgency=low

  * Fix delay loop used for processors to be brought up, being optimized
    out when using gcc-4.2. (Closes: #471271)
    - debian/patches/05_bios_delay_loop.patch: New file.
    Thanks to Aurelien Jarno <aurel32@debian.org>
  * Do not use pkg-config anymore before AC_PATH_XTRA, the build problem
    was fixed by making sure autoconf was run if needed.
    - debian/patches/20_use_pkg-config.patch: Remove.

 -- Guillem Jover <guillem@debian.org>  Mon, 17 Mar 2008 04:44:33 +0200

bochs (2.3.6-2) unstable; urgency=low

  * Try to use pkg-config before AC_PATH_XTRA (fixes a FTBFS). Add pkg-config
    to Build-Depends.
    - debian/patches/patches/20_use_pkg-config.patch: New file.
  * Make sure autoconf is run if needed in debian/rules:
    - Rename configure.in target to setup-source.
    - Call config.status target in setup-source body.
    - Make build-arch and build-indep depend on setup-source instead of
      config.status.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Jan 2008 05:33:20 +0200

bochs (2.3.6-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Sync.
    - debian/patches/01_build.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_qemu_bios.patch: Likewise.
    - debian/patches/10_enable_iasl.patch: Likewise.
  * Do no use obsolete --enable-save-restore configure option.
  * Add armel to libasound2-dev architecture specifier in Build-Depends.
    Thanks to Joey Hess <joeyh@debian.org> for noticing.
  * Add hppa to libasound2-dev architecture specifier in Build-Depends.

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Jan 2008 10:10:19 +0200

bochs (2.3.5-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_man.patch: Fixed upstream. Remove.
    - debian/patches/03_redolog_FTBFS.patch: Likewise.
    - debian/patches/05_64_bit_cleanliness.patch: Likewise.
    - debian/patches/00_base.patch: Sync.
  * Remove versioned Build-Depends on dpkg, which is already on stable.
  * Remove Tag fields, they are better maintainer outside the package.
  * Improve tarball.sh to support cleaning upstream tarballs, and document
    its usage in README.Debian.
  * Turn failures when creating the tun device file non-fatal.
  * Add Homepage, Vcs-Browser and Vcs-Svn fields in debian/control.
  * Call configure with autotools-dev recommended --build and --host options.
  * Build-Depend on iasl and enable it to build acpi-dsdt.hex.
  * Ship BIOS-bochs-legacy in bochsbios.
  * Fix parallel FTBFS and jobserver warnings.
    - debian/patches/01_build.patch: New file.
  * Do not directly use the QA SourceForge redirector, instead use an URL
    to sf.net. (Closes: #453546)
  * Build and ship a qemu specific bios (BIOS-qemu-latest) in bochsbios.
    - debian/patches/03_qemu_bios.patch: New file. (Closes: #452937)
    Based on a patch by Soren Hansen <soren@ubuntu.com>.
  * Move patch dependency in debian/rules from build-arch and build-indep
    targets to configure.in.
  * Fail and print an error explaining that build-indep will only succeed
    on any-i386. (Closes: #451409)
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Set bochs-doc Section to doc.

 -- Guillem Jover <guillem@debian.org>  Fri, 07 Dec 2007 09:08:31 +0200

bochs (2.3+20070705-2) unstable; urgency=low

  * Fix differing prototype for tftp_send_optack in eth_vnet.cc affecting
    builds on 64 bit architectures. (Closes: #432250, #432405)
    - debian/patches/05_64_bit_cleanliness.patch: New file.
    Thanks to Aaron M. Ucko <ucko@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Tue, 10 Jul 2007 05:44:13 +0300

bochs (2.3+20070705-1) unstable; urgency=low

  * New upstream snapshot.
    - Do not provoke a BSOD for Windows 2000 from bochsbios. (Closes: #417416)
    - Fix OpenBSD 3.9 installation iso booting up to the installer with
      qemu. (Closes: #382795)
    - Fix heap buffer overflow in ne2k emulated driver. (Closes: #427144)
      CVE-2007-2893
    - Support spaces in command line bochsrc-like options. (Closes: #250196)
    - debian/patches/00_base.patch: Sync.
    - debian/patches/01_man.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_redolog_FTBFS.patch: Likewise.
    - debian/patches/04_man_table.patch: Likewise.
  * Update Tag: field to the latest vocabulary.
  * Use binary:Version instead of deprecated Source-Version substvar.
  * Update CVSROOT in tarball.sh.
  * Explicitely point to LGPL 2.1 in debian/copyright.
  * Update menu entry section.
  * Do not ignore make errors on clean.
  * Switch configuration variables to simply expanded ones in debian/rules.
  * Update config.sub and config.guess on clean.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jul 2007 05:07:01 +0300

bochs (2.3-2) unstable; urgency=low

  * Install the note.gif only if building the binary independent packages.
  * Make the bochs wrapper exec the real binary, to avoid unneecessary
    running processes.

 -- Guillem Jover <guillem@debian.org>  Mon, 18 Sep 2006 03:17:02 +0300

bochs (2.3-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Sync.
    - debian/patches/03_g++-4.1.patch: Integrated upstream. Remove.
    - debian/patches/04_wx2.6.patch: Likewise.
    - debian/patches/03_redolog_FTBFS.patch: New file. Fix build failure.
    - Documentation now uses index.html instead of book1.html. Remove now
      unneeded debian/bochs-doc.links. (Closes: #380380)
  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Remove now unused debian/patch.mk.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Add 2006 to the copyright years in debian/copyright.
  * Remove obsolete template note and all debconf support with it.
  * Remove code to strip possible RPATH in SDL plugin as it should not contain
    it anymore, do not Build-Depend on chrpath anymore.
  * Use source:Version in bochs' bochsbios Depencency, to make the package
    binNMU safe, and Build-Depend on dpkg 1.13.19.
  * Fix manpage warning due to unwrappable long line by using a table.
    - debian/patches/04_man_table.patch: New file.
  * Include the note.gif image in the bochs-doc package. (Closes: #198766)
  * Do not install into bochs doc dir the README-plugins and README-wxWindows
    files which contain development information not interesting to the user,
    neither sb16ctrl example and source code which are provided in a separete
    package already.
  * Add a small README.plugins in the bochs package to document how to use
    the ui plugin packages. (Closes: #250194)
    Thanks to A Costa <agcosta@gis.net> for the initial text.
  * Include bxcommit in the bximage package.
  * Include busmouse plugin in the bochs package.
  * Do not set unused substvar sb16ctrl-bochs:Architecture in debian/rules.
  * Enable new PIT model, APIC, Virtual 8086 Mode Extensions, x86_64, SSE4,
    icache, internal disassembler, io and memory repetition speedups,
    simulation save and restore, and limited USB support.
  * Upgrade cpu-level to 6, as required by the x86_64 support.
  * Add a Tag: field to all binary packages, using the data from debtags.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Sep 2006 20:07:05 +0300

bochs (2.2.6-2) unstable; urgency=low

  * Fix typos in bochsrc(5). (Closes: #356012)
    - debian/patches/01_man.patch: New file.
    Thanks to A Costa <agcosta@gis.net>.
  * Fix clean target by calling upstream dist-clean, bios-clean under bios/,
    and removing the misc/sb16/sb16ctrl and bios/VGABIOS-*.
  * Switch to libwxgtk2.6-dev and libgtk2.0-dev.
    - debian/patches/04_wx2.6.patch: New file.
    Thanks to Hans de Goede <j.w.r.degoede@hhs.nl>.
  * Fix FTBFS with g++ 4.1. (Closes: #357059)
    - debian/patches/03_g++-4.1.patch: New file.
    Thanks to Martin Michlmayr <tbm@cyrius.com>.

 -- Guillem Jover <guillem@debian.org>  Tue, 21 Mar 2006 02:51:22 +0200

bochs (2.2.6-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_doc.patch: Integrated upstream. Remove.
    - debian/patches/03_gcc-4.0.patch: Likewise.
    - debian/patches/00_base.patch: Sync.
    - debian/patches/02_libtool.patch: Likewise.
  * Do not install ROM BIOS that are not built anymore.
  * Do not create a fake stamp file for the ROM BIOS.
  * Fix debian/sb16ctrl.1:
    - Change the SEE ALSO references to be bold.
    - Escaped some hyphens.
    - Reindent the Bochs Online Documentation's URL.
  * Build the svga module on amd64. (Closes: #346577)
    Thanks to Kaare Hviid <ukh@svansen.se> for the initial patch.

 -- Guillem Jover <guillem@debian.org>  Thu,  9 Feb 2006 04:30:50 +0200

bochs (2.2.5-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Synced.
    - debian/patches/01_doc.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
  * Debconf templates:
    - Added Spanish. (Closes: #333897)
      Thanks to César Gómez Martín <cesar.gomez@gmail.com>.
    - Added Swedish. (Closes: #330987)
      Thanks to Daniel Nylander <po@danielnylander.se>.
    - Added Portuguese. (Closes: #338892)
      Thanks to Simão Pedro Cardoso <pthell@gmail.com>.
  * Include pci plugins into bochs package. (Closes: #341436)
    Thanks to Robert Millan <rmh@aybabtu.com>
  * Fix more typos in bochs and bochsrc manpages. (Closes: #335334, #335336)
    Thanks to A Costa <agcosta@gis.net>.
  * Wrap lines in debian/control fields (knowingly breaking policy).
  * Switch to debhelper compat level 5.
  * Build-Conflict against libwxgtk2.6-dev as it FTBFS if present.
  * Clean up debian/patch.mk:
    - Rename clean to unpatch.
    - Switch patch and unpatch to single-colon targets.
    - Add patch, unpatch, apply-patches and reverse-patches to the PHONY
      targets.
  * Clean up debian/rules file:
    - Add a proper copyright comment header.
    - Remove null, bochs and INSTALL_PROGRAM variables.
    - Switch clean to single-colon target, make it depend on unpatch and call
      make clean.
    - Swap config.status and configure from target to dependency.
    - Pass CFLAGS and CXXFLAGS to configure.
    - Remove configure from the PHONY targets.
    - Inline the main conf_args to the configure invokation.
    - Just use autoconf, and do not try autoconf2.50.
    - Split autoconf and configure commands in different targets.
    - Make build-arch and build-indep depend on patch and config.status.
    - Make binary-indep depend on install-indep, and binary-arch on install.
    - Remove commented debhelper commands.

 -- Guillem Jover <guillem@debian.org>  Sat,  7 Jan 2006 08:19:52 +0200

bochs (2.2.1-2) unstable; urgency=low

  * Use misc:Depends instead of an explicit dependency to debconf
    to get the alternative debconf-2.0 as well.
  * Fix typo in bochsrc.5 that prevents the line from being displayed.
    (Closes: #326528)
    - debian/patches/01_doc.patch: Updated.
    Thanks to Nicolas François <nicolas.francois@centraliens.net>.
  * Update LGPL to 2.1 and fix FSF address in debian/copyright.
  * Change Build-Depends to 'libreadline5-dev | libreadline-dev' from
    'libreadline4-dev'.
  * Fix bashisms in bochs.config and bochs.postinst.
  * Added missing angle to email address in sb16ctrl.1.
  * Install sb16ctl.1 in the binary.
  * Use variable assignment and handle spaces in filenames correctly.
    - debian/launcher: Updated.
  * Do not use a variable with read and use $() instead of backticks.
    - debian/launcher/etc/bochs-init/init.sh: Reindent. Updated.

 -- Guillem Jover <guillem@debian.org>  Sun, 11 Sep 2005 05:24:24 +0300

bochs (2.2.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_base.patch: Synced.
    - debian/patches/01_doc.patch: Likewise.
    - debian/patches/02_libtool.patch: Likewise.
    - debian/patches/03_gcc-4.0.patch: Likewise.
    - debian/patches/04_no_pcibios_init.patch: Removed.
    - Fix ">>PANIC<< prefetch: RIP > CS.limit". (Closes: #162785, #288766)
    - Fix TUN/TAP network interface. (Closes: #268422)
  * Added Vietnamese debconf translation. (Closes: #313170)
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Fix typos in the bochsrc man page. (Closes: #310359)
    - debian/patches/01_doc.patch: Update.
    Thanks to A Costa <agcosta@gis.net>.
  * Enable the pseudo NIC interface to be used with EtherBoot and document
    the addition in the README.Debian file.
    Thanks to Robert Millan <rmh@aybabtu.com> for the pointer.
  * Cosmetic cleaning of README.Debian.
  * Provide a symlinked manpage for bochs-bin.
  * Add a man page for sb16ctrl.
  * Explicitly state architectures and stop using type-handling.
  * Replace aalib1-dev Build-Depends with libaa1-dev.
  * Replace xlibs-dev Build-Depends with the fain grained only ones
    needed: libx11-dev, libxpm-dev, libice-dev, libsm-dev.
  * Tighten dependencies on bochsbios and vgabios. (Closes: #290188)
  * Do not use a stamp file for configure.
  * Add Debian Subversion repository URL.
  * Update copyright year.
  * Update watch file to version 3 (no changes needed).
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Use new QA SourceForge watch redirector.
  * Use new dpkg-architecture variables for os and cpu.
  * C++ ABI transition.
    - Remove special case for m68k to use g++-3.4.

 -- Guillem Jover <guillem@debian.org>  Fri, 29 Jul 2005 03:18:33 +0300

bochs (2.1.1+20041109-3) unstable; urgency=high

  * Remove rombios pcibios initialization code. It lets the virtual box
    in a state inconsitent with what qemu expects.
    - debian/patches/04_no_pcibios_init.patch: New file.
    (Closes: #281862, #283166, #284132, #285752)

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Jan 2005 18:36:23 +0100

bochs (2.1.1+20041109-2) unstable; urgency=high

  * Build-Depends and use gcc-3.4 on m68k to avoid an ICE. (Closes: #284050)
  * Fix build failure with gcc-4.0. (Closes: #284748)
    Thanks to Andreas Jochens <aj@andaco.de>.
  * Add missing "--tag CXX" in libtool invokations.
  * Remove possible RPATH in SDL plugin.
  * Fix typo in documentation. (Partial fix: #198766)
  * Fix broken links to Home in bochs-doc manuals. (Closes: #198861)
  * Update bochsrc(5) with new vgaromimage syntax, and fix warnings in all
    manpages. (Closes: #274336)

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Dec 2004 17:22:43 +0100

bochs (2.1.1+20041109-1) unstable; urgency=low

  * New maintainer. (Closes: #276392)
  * New upstream snapshot.
    - Stop using tar in tar.
    - Fix Linux kernel loading on 2.4.26 or 2.6.8 and up. (Closes: #273424)
  * Added a debian/tarball.sh script to easily manage snapshots.
  * Patches:
    - Use debian/patch.mk.
    - debian/patches/gdb.diff: Remove, integrated upstream.
    - debian/patches/gzip.diff: Likewise.
    - debian/patches/kbsd-gnu.diff: Likewise
    - debian/patches/orig.diff: Renamed to ...
    - debian/patches/00_base.patch: ... this. Remove upstream integrated
      changes. Fixed 3DNow hunk duplication.
    - debian/patches/plex86.diff: Renamed to ...
    - debian/patches/plex86.disabled: ... this.
  * Use new vgaromimage syntax in bochs-init config:
    - debian/etc/bochs-init/bochsrc: Update.
  * Create tun devices. (Closes: #215576)
  * Removed leftover debian/rules.ZILESAVE.
  * Removed leftover debian/xfonts-bochs.dirs.
  * General cosmetic fixes.
  * Cleaned debian/copyright.
  * Major cleanup of debian/rules.
    - Honour noopt in DEB_BUILD_OPTIONS.
    - Build with debugging symbols by default.
    - Use -s in debhelper scripts instead of -a and hardcoded package
      excludes.
    - Use debian/tmp as the source dir in dh_install. Fix all *.install
      files.
  * Added a debian/watch file.
  * Added Catalan debconf template.
  * Now using Standard-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Sat, 13 Nov 2004 17:32:09 +0100

bochs (2.1.1+20040903-3) unstable; urgency=low

  * QA Upload
  * Correct QA Group's maintainer address
  * Bug fix: "Czech translation of bochs debconf messages", thanks to Jan
    Outrata (Closes: #275500).

 -- Frank Lichtenheld <djpig@debian.org>  Mon,  8 Nov 2004 04:28:11 +0100

bochs (2.1.1+20040903-2) unstable; urgency=low

  * Orphan.
    - control.in (Maintainer): Set to Debian QA Group.

 -- Robert Millan <rmh@debian.org>  Wed, 13 Oct 2004 20:58:27 +0200

bochs (2.1.1+20040903-1) unstable; urgency=low

  * New upstream snapshot.
    - patches: Resync some stuff.
    - control.in (Depends):  Set vgabios (>= 0.4c+20040829-2)
  * Add German and Japanese translations.
    - po/de.po
    - po/ja.po

 -- Robert Millan <rmh@debian.org>  Fri,  3 Sep 2004 10:34:28 +0200

bochs (2.1.1-11) unstable; urgency=low

  * rules (conf_args): Enable mmx, 3dnow, compressed-hd (unimplemented).
  * control (Build-Depends): Add libreadline4-dev.
  * patches/ftbfs_mmx.diff: New.  Fix some fuckery.

 -- Robert Millan <rmh@debian.org>  Mon, 30 Aug 2004 04:24:39 +0200

bochs (2.1.1-10) unstable; urgency=high

  * urgency=high because change in -8 _must_ release with sarge.
  * patches/gdb.diff: Fix dependency on plex86 patch, which was disabled on
    2.1.1-8. (Closes: #265941)
  * rules: Fail if any patch fails to apply (I hate make).

 -- Robert Millan <rmh@debian.org>  Mon, 16 Aug 2004 03:31:50 +0200

bochs (2.1.1-9) unstable; urgency=low

  * Allow building of bochsbios on non-i386. It was reported that the
    resulting binary is identical, since we use bin86/bcc to compile it.
    (Closes: #249796).

 -- Robert Millan <rmh@debian.org>  Sun, 15 Aug 2004 02:01:48 +0200

bochs (2.1.1-8) unstable; urgency=low

  * Disable Plex86 backend.

 -- Robert Millan <rmh@debian.org>  Mon,  9 Aug 2004 20:56:01 +0200

bochs (2.1.1-7) unstable; urgency=low

  * rules: Fallback to autoconf when autoconf2.50 is not found (sigh).

 -- Robert Millan <rmh@debian.org>  Thu,  5 Aug 2004 21:11:30 +0200

bochs (2.1.1-6) unstable; urgency=low

  * Use type-handling to handle dpkg arch-specific build-dependencies.
    - control.in: New.
    - rules: Parse @i386@, @linux-gnu@ and @svgalib@ from control.in.
  * Allow building of binary-indep from any platform.
    - control.in (Build-Depends): Nuke i386.
  * Explicitly use autoconf2.50.
    - rules: s/autoconf/autoconf2.50/g
    - control.in (Build-Conflicts): Nuke autoconf2.13.
  * patches/kbsd-gnu.diff: New. Fix GNU/k*BSD portability issues.

 -- Robert Millan <rmh@debian.org>  Thu,  5 Aug 2004 04:05:30 +0200

bochs (2.1.1-5) unstable; urgency=low

  * Fix FTBFS on ! i386-linux-gnu. (Closes: #247957)
    - rules: Pass -Nbochs-svga to dh_gencontrol for ! i386-linux-gnu.
  * etc/bochs-init: New. Scripts for running Bochs as init.
    - README.Debian: Describe what this means.
    - rules: Install it in debian/tmp.
    - bochs.install: Add it.

 -- Robert Millan <rmh@debian.org>  Tue, 27 Apr 2004 09:44:37 +0200

bochs (2.1.1-4) unstable; urgency=low

  * New binary package: bochs-svga (SVGA GUI plugin).
    - control (Build-Depends): Add libsvga1-dev [i386].
    - control: Add bochs-svga (for i386-linux-gnu only).
    - rules (conf_args): Add --with-svga on i386-linux-gnu.
    - bochs-svga.install: New. Install svga plugin.

 -- Robert Millan <rmh@debian.org>  Mon, 26 Apr 2004 20:26:34 +0200

bochs (2.1.1-3) unstable; urgency=low

  * Noone loves Xfree86 anymore.
    - control: s/Xfree86/X11/g.
  * Sad, but true. Disable AMD64 support. (Closes: #242793)
    - rules (conf_args): Remove --enable-x86-64.
    - control (Description): Remove amd64-related bits.
  * Kiss bochsconf goodbye. (Closes: #203698)
    - bochsconf: Nuked.
    - README.Debian: Replace bochsconf-related notes.
    - bochs.install: Nuke bochsconf.
    - rules: Ditto.
    - launcher: Remove bochsconf-related lines.
  * control: Make descriptions of bochsbios, bochs-term, bochs-x, bochs-wx and
    bochs-sdl more accurate. Thanks Javier. (Closes: #209436, #209437,
    #209446, #209472, #209522)
  * Add Dutch po-debconf translation. (Closes: #241317)
    - po/nl.po: New. Contributed by Luk Claes <luk.claes@ugent.be>

 -- Robert Millan <rmh@debian.org>  Sun, 25 Apr 2004 21:37:36 +0200

bochs (2.1.1-2) unstable; urgency=low

  * rules (conf_args): Add --enable-fpu. (Closes: #239904)
  * control (Build-Depends): Add libasound2-dev, aalib1-dev. (Closes: #239927)
  * patches/orig.diff: Resync.
  * README.Debian: Remove reference to user/x1948.html. (Closes: #237274)
  * control (Suggests): Nuke e2fsprogs.

 -- Robert Millan <rmh@debian.org>  Wed, 24 Mar 2004 22:43:26 +0100

bochs (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Thu, 11 Mar 2004 14:21:42 +0100

bochs (2.1rel-4) unstable; urgency=low

  * launcher: Made bochsconf run optional. (Closes: #179143)

 -- Robert Millan <rmh@debian.org>  Sat,  7 Feb 2004 13:39:56 +0100

bochs (2.1rel-3) unstable; urgency=low

  * rules: s/gdb-stubs/gdb-stub/g. (Really closes: #224862)

 -- Robert Millan <rmh@debian.org>  Fri,  6 Feb 2004 15:04:13 +0100

bochs (2.1rel-2) unstable; urgency=low

  * patches/gdb.diff: New. Turn GDB stubs into a conffile option. (patch
    from Charles Duffy)
  * rules: Enable GDB stubs. (Closes: #224862)
    - 0list: Update.

 -- Robert Millan <rmh@debian.org>  Sun,  1 Feb 2004 23:29:59 +0100

bochs (2.1rel-1) unstable; urgency=low

  * New upstream release.
  * patches/plex86.diff: Dont panic on failure to open Plex86 device.
    (Closes: #222550)

 -- Robert Millan <rmh@debian.org>  Sat, 31 Jan 2004 16:54:18 +0100

bochs (2.1pre3-1) unstable; urgency=low

  * New upstream pre-release.
  * Switch to debhelper compat 4.
    - rules: Don't override DH_COMPAT.
    - compat: New.
  * rules: Add --enable-idle-hack. Thanks Josh Metzler. (Closes: #223879)

 -- Robert Millan <rmh@debian.org>  Sat, 10 Jan 2004 12:53:34 +0100

bochs (2.1pre1.a-2) unstable; urgency=low

  * rules: Reorganise kernel-specific checks.

 -- Robert Millan <rmh@debian.org>  Tue, 16 Dec 2003 16:45:21 +0100

bochs (2.1pre1.a-1) unstable; urgency=low

  * Switched to DBS-like tarball/patch handling. (Closes: #217522)
  * control: Lower Recommends to Suggests for Plex86. (Closes: #215112)
  * Nuked redundant upstream changelog.gz file. (Closes: #170545)

 -- Robert Millan <rmh@debian.org>  Tue, 28 Oct 2003 20:07:59 +0100

bochs (2.1pre1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Wed,  8 Oct 2003 21:57:37 +0000

bochs (2.0.2+20030829-1) unstable; urgency=low

  * New upstream snapshot.
    - Updated libtool. (Closes: #195826)
    - Fixed CPU bug. (Closes: #197094)
    - debian/patches/orig.diff: Update.
    - debian/patches/plex86.diff: Update.
  * debian/{control,po/,templates}: Switch to gettext-based debconf templates;
    thanks Christian Perrier. (Closes: #205777)
  * debian/po/fr.po: New. French debconf translation; thanks again to
    Christian Perrier. (Closes: #206735)
  * debian/rules: s/freebsd/kfreebsd-gnu/g cleanup.
  * debian/control (xfonts-bochs): Nuked (obsoleted upstream).
  * debian/rules: Likewise.
  * debian/bochs.install: Add "gameport" plugin.
  * debian/control (bochsbios): Bumped bochs dependency.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Aug 2003 14:09:39 +0000

bochs (2.0.2+20030525-1) unstable; urgency=low

  * New upstream snapshot.
  * Merged fix-link-deps.diff and cpu/3dnow.cc fixes into upstream.
  * Update plex86.diff from upstream's bts. (see patch header)

 -- Robert Millan <rmh@debian.org>  Sun, 25 May 2003 03:49:22 +0200

bochs (2.0.2+20030522-3) unstable; urgency=low

  * Fixed link dependencies in bochs-* GUI packages so that GUI plugins
    depend on their respective GUI libraries, and bochs can stop depending
    on them. (Closes: #176458)

 -- Robert Millan <rmh@debian.org>  Sat, 24 May 2003 13:36:09 +0200

bochs (2.0.2+20030522-2) unstable; urgency=low

  * Moved diffs into debian/patches.
  * Added patch for Plex86 support.

 -- Robert Millan <rmh@debian.org>  Fri, 23 May 2003 17:17:50 +0000

bochs (2.0.2+20030522-1) unstable; urgency=low

  * New upstream snapshot.
    - fixes FTBFS.
    - has x11-pc-be.map (Closes: #191080)
  * Copy all missing plugins from plugin dir. (Closes: #191639)

 -- Robert Millan <rmh@debian.org>  Thu, 22 May 2003 00:36:17 +0200

bochs (2.0.2+20020419-1) unstable; urgency=low

  * New upstream snapshot. (Closes: #188538)
  * Fix x86-64 emulation. thanks Arnd Bergmann. (Closes: #189349)

 -- Robert Millan <rmh@debian.org>  Sat, 19 Apr 2003 19:38:39 +0200

bochs (2.0.2-3) unstable; urgency=low

  * Added libgtk1.2-dev explicitly to Build-Depends. (Closes: #181964)
  * Put debian address in Maintainer field.

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2003 18:46:59 +0100

bochs (2.0.2-2) unstable; urgency=low

  * First upload as a developer.
  * Building against libwxgtk2.4-dev. (Closes: #178294)
  * Fixed marks in SGML documentation, thanks Aaron M. Ucko. (Closes: #179138)
  * Fixed GZIP variable mess in Makefile.in.

 -- Robert Millan <rmh@debian.org>  Thu, 20 Feb 2003 22:43:05 +0100

bochs (2.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #176339)
  * Fixed build problem with sb16ctrl. (Closes: #175947)
  * Added Replaces line on all bochs-gui packages. (Closes: #175264)
  * Removed HTML documentation from bochs package.
  * Fixed wrong links in index.html of documentation. (Closes: #175888)

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 24 Jan 2003 16:47:21 +0100

bochs (2.0rel-2) unstable; urgency=low

  * Added sb16ctrl-bochs (again).
  * Removed linuxisms from sb16ctrl.c.
  * Put xfonts-bochs dependency on bochs-x. (Closes: #174109)
  * Now building html docs from docbook. Splitted into bochs-doc package.
  * Added entry in debian menu.

 -- Robert Millan <zeratul2@wanadoo.es>  Wed, 25 Dec 2002 01:56:24 +0100

bochs (2.0rel-1) unstable; urgency=low

  * New upstream release.
  * Split GUI plugins in their own packages to lower dependencies.
  * Fixed Hurd nomenclaure in documentation.

 -- Robert Millan <zeratul2@wanadoo.es>  Sun, 22 Dec 2002 01:55:56 +0100

bochs (2.0pre3-1) unstable; urgency=low

  * New upstream release.
  * Enabling plugins.
  * Compiling SDL support.
  * Add version check for conffile change debconf warning. (Closes: #170725)
  * Add some notes about sb16ctrl.c in README.Debian. (Closes: #161873)
  * Got rid of CHANGES.gz. (Closes: #170545)

 -- Robert Millan <zeratul2@wanadoo.es>  Sat,  7 Dec 2002 14:57:30 +0100

bochs (2.0pre2-1) unstable; urgency=low

  * New upstream release.
  * Building WxWindows frontend (GTK+ based).
  * Enabling x86-64 by default.
  * Merged support for the different GUIs (X, curses, Wx) into one binary,
    as they are no longer exclussive.
  * Removed sb16ctrl package as it prevented Bochs from getting into
    testing. Now sb16ctrl is in /usr/share/doc/bochs/sb16ctrl.c for you
    to build. (Closes: #161873)
  * Now Bochs binary can do most of what the launcher used to, so I've
    rewritten the bochs launcher to do no more than a pair of things.
  * Configuration file #home# and #guest# tags are now environmental variables,
    added debconf template to tell the user he/she has to rework his/her
    bochsrc.

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 22 Nov 2002 15:51:16 +0100

bochs (1.4.1.z.cvs20021031-1) unstable; urgency=low

  * New upstream snapshot.
  * Fixed commandline parser of launcher, thanks Robbe. (Closes: #167152)
  * Force creating sb16ctrl symlink. (Closes: #166906)
  * Using --enable-all-optimizations autoconf flag.
  * Stripping sb16ctrl with dh_strip.

 -- Robert Millan <zeratul2@wanadoo.es>  Fri,  1 Nov 2002 15:23:52 +0100

bochs (1.4.1.z.cvs20020927-1) unstable; urgency=low

  * New upstream snapshot. Implemented x86-64 support (see README.Debian)
  * Disabling i686 optimisations as are discouraged upstream (fallback to i586)
  * Fixed targets in debian/rules for building build-arch separately
    from build-indep. (Closes: #161831)
  * Now using dh_install.

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 27 Sep 2002 13:51:53 +0200

bochs (1.4.1.z.cvs20020915-1) unstable; urgency=low

  * New upstream snapshot with GDB stub patch.
  * Reactivating bios building, as bug #153449 is fixed now.
  * Enabling i686, MMX and FPU optimisations.

 -- Robert Millan <zeratul2@wanadoo.es>  Sun, 15 Sep 2002 07:51:41 +0200

bochs (1.4.1.no.gifs-1) unstable; urgency=low

  * Got rid of gifs.
  * Splitted build-indep section.
  * Addition of bochsbios and sb16ctrl.
  * Temporarily deactivating bios building (see bug #153449).

 -- Robert Millan <zeratul2@wanadoo.es>  Mon, 29 Jul 2002 23:54:45 +0200

bochs (1.4.1.no.elpin-1) unstable; urgency=low

  * Removed nonfree elpin BIOS (ouch!). (Closes: #152762)

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 12 Jul 2002 05:52:51 +0200

bochs (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Add dependancy on bochs to bochs-x and bochs-curses. (Closes: #150553)

 -- Robert Millan <zeratul2@wanadoo.es>  Wed, 26 Jun 2002 09:16:29 +0200

bochs (1.4rel-6) unstable; urgency=low

  * Removed DOC-linux.html installation document, useless in the package.
  * Fixed sed rule in upstream Makefile to replace @VERSION@. (Closes: #140219)
  * Made launcher to search .bochsrc in `pwd` first. (Closes: #146397)
  * Patched misc non-upstream issues in manpages.

 -- Robert Millan <zeratul2@wanadoo.es>  Sat, 11 May 2002 12:52:50 +0200

bochs (1.4rel-5) unstable; urgency=low

  * Enabled support to specify location for bochsrc.
  * Using versioned depends from bochs to bochs-{x,curses}. (Closes: #145268)
  * Enabling serial support in iodev/serial.cc. (Closes: #145983)
  * Merged FHS fixes into Makefile. Fixed misc install issues.
    (Closes: #140219, #145943)
  * Added GNU #defines to iodev/cdrom.cc.

 -- Robert Millan <zeratul2@wanadoo.es>  Sun, 21 Apr 2002 08:36:14 +0200

bochs (1.4rel-4) unstable; urgency=low

  * Got rid of linux/fs.h include that broak build on some arches.

 -- Robert Millan <zeratul2@wanadoo.es>  Thu, 18 Apr 2002 15:20:52 +0200

bochs (1.4rel-3) unstable; urgency=low

  * Fallback to fixed fonts when vga fonts are not present.
  * Fixed deboostrap typo in debian/control.
  * Checking for X properly with test -z $DISPLAY. (Closes: #142537)

 -- Robert Millan <zeratul2@wanadoo.es>  Fri, 12 Apr 2002 12:31:35 +0200

bochs (1.4rel-2) unstable; urgency=low

  * Reworked launcher script to be more flexible and less intrusive.
  * Written Bochsconf tool to simplify setup. (please test!)
  * Nicer error message when xfont is not present. (Closes: 142059)

 -- Robert Millan <zeratul2@wanadoo.es>  Mon,  8 Apr 2002 18:47:21 +0200

bochs (1.4rel-1) unstable; urgency=low

  * New upstream release.
  * Merged gui/gui.cc into upstream.
  * Fixed bad syntax in debian/rules that disabled vbe, cdrom, sb16 and
    ne2k support for the X interface. (Closes: #140233)

 -- Robert Millan <zeratul2@wanadoo.es>  Thu, 28 Mar 2002 22:04:59 +0100

bochs (1.4pre2-2) unstable; urgency=low

  * Enabled Vesa Bios Extensions support, since vgabios now provides it.
  * Created a bochs-curses package with ncurses interface.
    (had to fix gui/gui.cc, with undeclared identifiers)
  * Now using tempfile to get random locations in laucher.

 -- Robert Millan <zeratul2@wanadoo.es>  Wed, 20 Mar 2002 13:32:27 +0100

bochs (1.4pre2-1) unstable; urgency=low

  * New upstream release
  * Created a launcher script for bochs. bochsrc is autoloaded and
    $HOME is parsed.
  * Enabled network support for GNU/Linux (oops)

 -- Robert Millan <zeratul2@wanadoo.es>  Wed,  6 Mar 2002 15:41:58 +0100

bochs (1.3-2) unstable; urgency=low

  * Removed unnecessary bcc and bin86 from Build-Depends.
    (sigh, did i dream they were required?)
  * Added support for GNU and GNU/*BSD.
  * Passing DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE to configure.

 -- Robert Millan <zeratul2@wanadoo.es>  Sun,  3 Mar 2002 14:21:16 +0100

bochs (1.3-1) unstable; urgency=low

  * Initial Release. (Closes: #78642)
  * Sorry Goswin, had to take it.

 -- Robert Millan <zeratul2@wanadoo.es>  Sat, 12 Jan 2002 11:34:12 +0100
